PUT /api/v202305/admin/reportingSettings

Set the system reporting settings

SetReportingSettingsV202305 Permissions: ApplicationSettings (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

ReportingSettingRequest
Property Description Type
costUnitId The cost unit identifier Required (defined) integer (int32)
energyUnitId The energy unit identifier Required (defined) integer (int32)
floorAreaUnitId The floor area unit identifier Required (defined) integer (int32)
monthsToExcludeFromCharts Months to exclude from charts, including the current month. Ex. If the current month is October, A value of 0 will not exclude any months, A value of 1 will exclude the month of October, A value of 2 will exclude October and September, A value of 3 will exclude October, September, and August, A value of 13 will exclude October and the last full year of data. Must be between 0 and 13 Required (defined) integer (int32)
Example Request Body application/json
{  "costUnitId": 1,  "energyUnitId": 1,  "floorAreaUnitId": 1,  "monthsToExcludeFromCharts": 1
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

ReportingSettingResponse
Property Description Type
costReportingUnitTaskGUId For internal use only. The task GUID of cost reporting unit post processing, only set when the cost reporting unit is changed in the Edit Reporting Settings API. string (uuid)
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
energyUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
floorAreaUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
monthsToExcludeFromCharts Months to exclude from charts, including the current month. Ex. If the current month is October, A value of 0 will not exclude any months, A value of 1 will exclude the month of October, A value of 2 will exclude October and September, A value of 3 will exclude October, September, and August, A value of 13 will exclude October and the last full year of data. integer (int32)
Example Response application/json
{  "costReportingUnitTaskGUId": "string",  "costUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "energyUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "floorAreaUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "monthsToExcludeFromCharts": 1
}